## org.freedesktop.ModemManager1.Call org.freedesktop.ModemManager1.Call — The ModemManager Call interface. |

## Methods

    Start    ();
    Accept   ();
    Hangup   ();
    SendDtmf (IN  s dtmf);

## Signals

    DtmfReceived (s dtmf);
    StateChanged (i old,
                  i new,
                  u reason);

## Properties

    State        readable   i
    StateReason  readable   i
    Direction    readable   i
    Number       readable   s

## Description

The Call interface Defines operations and properties of a single Call.

## Method Details

### The Start() method

    Start ();

If the outgoing call has not yet been started, start it.

Applicable only if state is `MM_CALL_STATE_UNKNOWN` and direction is `MM_CALL_DIRECTION_OUTGOING`.

### The Accept() method

    Accept ();

Accept incoming call (answer).

Applicable only if state is `MM_CALL_STATE_RINGING_IN` and direction is `MM_CALL_DIRECTION_INCOMING`.

### The Hangup() method

    Hangup ();

Hangup the active call.

Applicable only if state is `MM_CALL_STATE_UNKNOWN`.

### The SendDtmf() method

    SendDtmf (IN  s dtmf);

Send a DTMF tone (Dual Tone Multi-Frequency) (only on supported modem).

Applicable only if state is `MM_CALL_STATE_ACTIVE`.

`IN s `dtmf``: | DTMF tone identifier [0-9A-D*#].

## Signal Details

### The "DtmfReceived" signal

    DtmfReceived (s dtmf);

Emitted when a DTMF tone is received (only on supported modem)

`s `dtmf``: | DTMF tone identifier [0-9A-D*#].

### The "StateChanged" signal

    StateChanged (i old,
                  i new,
                  u reason);

Emitted when call changes state

`i `old``: | Old state MMCallState
`i `new``: | New state MMCallState
`u `reason``: | A MMCallStateReason value, specifying the reason for this state change.

## Property Details

### The "State" property

    State  readable   i

A MMCallState value, describing the state of the call.

### The "StateReason" property

    StateReason  readable   i

A MMCallStateReason value, describing why the state is changed.

### The "Direction" property

    Direction  readable   i

A MMCallDirection value, describing the direction of the call.

### The "Number" property

    Number  readable   s

The remote phone number.